Subject: Re: [PATCH 08/12] nfnetlink: use y2038 safe timestamp

From: Pablo Neira Ayuso <[email-masked]>
Date: Fri, 2 Oct 2015 14:53:55 +0200

On Wed, Sep 30, 2015 at 01:26:38PM +0200, Arnd Bergmann wrote:
> The __build_packet_message function fills a nfulnl_msg_packet_timestamp
> structure that uses 64-bit seconds and is therefore y2038 safe, but
> it uses an intermediate 'struct timespec' which is not.
> 
> This trivially changes the code to use 'struct timespec64' instead,
> to correct the result on 32-bit architectures.
>
> Signed-off-by: Arnd Bergmann <[email-masked]>
> Cc: Pablo Neira Ayuso <[email-masked]>
> Cc: Patrick McHardy <[email-masked]>
> Cc: Jozsef Kadlecsik <[email-masked]>
> Cc: [email-masked]
> Cc: [email-masked]

Acked-by: Pablo Neira Ayuso <[email-masked]>

BTW, I don't see the patch for nfnetlink_queue and I think I have seen
it in the diffstat from your cover letter.